package com.fufan.mtsaas.modules.sysmgr.journal.model;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import java.util.Date;

/**
 * 登录登出日志表
 *
 * @Author Liby
 * @Create 2018-04-20
 * */
@TableName("AI_LOGIN_LOGOUT")
public class AiLoginLogout {
    /**
     * 系统ID
     * */
    @TableId("SYS_ID")
    private String sysId;
    /**
     * 机构ID
     * */
    private String branchId;
    /**
     * 操作员ID
     * */
    private String staffLoginId;
    /**
     * 登录时间
     * */
    private Date loginTime;
    /**
     * 登出时间
     * */
    private Date logoutTime;
    /**
     * 状态
     * */
    private String recStatus;
    /**
     * 来源
     * */
    private String sysReqsrc;
    /**
     * 操作人员IP
     * */
    private String sysIp;
    /**
     * 操作员
     * */
    private String sysOper;
    /**
     * 操作时间
     * */
    private Date sysDatetime;
    /**
     * 客户ID
     * */
    private String custId;
    /**
     * 操作人员IP归属地
     * */
    private String sysIpBelongsto;

    public String getSysId() {
        return sysId;
    }

    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getStaffLoginId() {
        return staffLoginId;
    }

    public void setStaffLoginId(String staffLoginId) {
        this.staffLoginId = staffLoginId;
    }

    public Date getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    public String getRecStatus() {
        return recStatus;
    }

    public void setRecStatus(String recStatus) {
        this.recStatus = recStatus;
    }

    public String getSysReqsrc() {
        return sysReqsrc;
    }

    public void setSysReqsrc(String sysReqsrc) {
        this.sysReqsrc = sysReqsrc;
    }

    public String getSysIp() {
        return sysIp;
    }

    public void setSysIp(String sysIp) {
        this.sysIp = sysIp;
    }

    public String getSysOper() {
        return sysOper;
    }

    public void setSysOper(String sysOper) {
        this.sysOper = sysOper;
    }

    public Date getSysDatetime() {
        return sysDatetime;
    }

    public void setSysDatetime(Date sysDatetime) {
        this.sysDatetime = sysDatetime;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getSysIpBelongsto() {
        return sysIpBelongsto;
    }

    public void setSysIpBelongsto(String sysIpBelongsto) {
        this.sysIpBelongsto = sysIpBelongsto;
    }

    @Override
    public String toString() {
        return "AiLoginLogout{" +
                "sysId='" + sysId + '\'' +
                ", branchId='" + branchId + '\'' +
                ", staffLoginId='" + staffLoginId + '\'' +
                ", loginTime=" + loginTime +
                ", logoutTime=" + logoutTime +
                ", recStatus='" + recStatus + '\'' +
                ", sysReqsrc='" + sysReqsrc + '\'' +
                ", sysIp='" + sysIp + '\'' +
                ", sysOper='" + sysOper + '\'' +
                ", sysDatetime=" + sysDatetime +
                ", custId='" + custId + '\'' +
                ", sysIpBelongsto='" + sysIpBelongsto + '\'' +
                '}';
    }
}
